OGRE: Ogre::ParticleAffectorFactory Class Reference - OGRE Documentation

Public Member Functions | Protected Attributes

# Ogre::ParticleAffectorFactory Class Reference
[Effects]

Abstract class defining the interface to be implemented by creators of ParticleAffector subclasses. More...

`#include <OgreParticleAffectorFactory.h>`

Inheritance diagram for Ogre::ParticleAffectorFactory:
[legend]

List of all members.

## Public Member Functions
| ParticleAffectorFactory ()
virtual | ~ParticleAffectorFactory ()
virtual String | getName () const =0
| Returns the name of the factory, the name which identifies the particle affector type this factory creates.
virtual ParticleAffector * | createAffector (ParticleSystem *psys)=0
| Creates a new affector instance.
virtual void | destroyAffector (ParticleAffector *e)
| Destroys the affector pointed to by the parameter (for early clean up if required).
void * | operator new (size_t sz, const char *file, int line, const char *func)
| operator new, with debug line info
void * | operator new (size_t sz)
void * | operator new (size_t sz, void *ptr)
| placement operator new
void * | operator new[] (size_t sz, const char *file, int line, const char *func)
| array operator new, with debug line info
void * | operator new[] (size_t sz)
void | operator delete (void *ptr)
void | operator delete (void *ptr, void *)
void | operator delete (void *ptr, const char *, int, const char *)
void | operator delete[] (void *ptr)
void | operator delete[] (void *ptr, const char *, int, const char *)
## Protected Attributes
vector< ParticleAffector * >::type | mAffectors

## Detailed Description

Abstract class defining the interface to be implemented by creators of ParticleAffector subclasses.

Remarks:
  Plugins or 3rd party applications can add new types of particle affectors to Ogre by creating subclasses of the ParticleAffector class. Because multiple instances of these affectors may be required, a factory class to manage the instances is also required.

  ParticleAffectorFactory subclasses must allow the creation and destruction of ParticleAffector subclasses. They must also be registered with the ParticleSystemManager. All factories have a name which identifies them, examples might be 'force_vector', 'attractor', or 'fader', and these can be also be used from particle system scripts.

Definition at line 54 of file OgreParticleAffectorFactory.h.

## Constructor & Destructor Documentation

Ogre::ParticleAffectorFactory::ParticleAffectorFactory | ( |  | ) |

Definition at line 59 of file OgreParticleAffectorFactory.h.

virtual Ogre::ParticleAffectorFactory::~ParticleAffectorFactory | ( |  | ) | `[virtual]`

## Member Function Documentation

virtual ParticleAffector* Ogre::ParticleAffectorFactory::createAffector | ( | ParticleSystem * | psys | ) | `[pure virtual]`

Creates a new affector instance.

Remarks:
  The subclass MUST add a pointer to the created instance to mAffectors.

virtual void Ogre::ParticleAffectorFactory::destroyAffector | ( | ParticleAffector * | e | ) | `[virtual]`

Destroys the affector pointed to by the parameter (for early clean up if required).

virtual String Ogre::ParticleAffectorFactory::getName | ( |  | ) | const`[pure virtual]`

Returns the name of the factory, the name which identifies the particle affector type this factory creates.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr,
|  | const char * | ,
|  | int | ,
|  | const char * |  |
| ) |  |  | `[inherited]`

Definition at line 107 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr | ) | `[inherited]`

Definition at line 95 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr,
|  | void * |  |
| ) |  |  | `[inherited]`

Definition at line 101 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete[] | ( | void * | ptr,
|  | const char * | ,
|  | int | ,
|  | const char * |  |
| ) |  |  | `[inherited]`

Definition at line 118 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete[] | ( | void * | ptr | ) | `[inherited]`

Definition at line 112 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz,
|  | const char * | file,
|  | int | line,
|  | const char * | func |
| ) |  |  | `[inherited]`

operator new, with debug line info

Definition at line 67 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz | ) | `[inherited]`

Definition at line 72 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz,
|  | void * | ptr |
| ) |  |  | `[inherited]`

placement operator new

Definition at line 78 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new[] | ( | size_t | sz,
|  | const char * | file,
|  | int | line,
|  | const char * | func |
| ) |  |  | `[inherited]`

array operator new, with debug line info

Definition at line 85 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new[] | ( | size_t | sz | ) | `[inherited]`

Definition at line 90 of file OgreMemoryAllocatedObject.h.

## Member Data Documentation

vector<ParticleAffector*>::type Ogre::ParticleAffectorFactory::mAffectors`[protected]`

Definition at line 57 of file OgreParticleAffectorFactory.h.

The documentation for this class was generated from the following file:

- OgreParticleAffectorFactory.h

Copyright © 2008 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.
Last modified Wed Nov 3 2010 19:24:57